@make(ais)
@aiInfo(topic=<Error in AI-00388/04>,
number=[AI-00511/05],
classcode=[CR],
statuscode=[WJ],
mainref=[02.08@\(04)],
date=[88-05-23])
@aiHeading()
@begin(history)
@begin(toplines)
@mainref()
!class correction 87-01-13
!status approved by WG9/AJPO 88-02-05
@end(toplines)
!status approved by Director, AJPO 88-02-05
!status approved by WG9/Ada Board 87-12-07
!status approved by Ada Board 87-07-30
!status panel/committee-approved 87-05-06 (reviewed)
!status panel/committee-approved (9-0-0) 87-02-17 (pending editorial review)
!status work-item 87-01-16
!status received 87-01-13
@references[!references @CommentNum[83-00871]83-00871]
@topic{!topic @value(aitopic)}
@end(history)

@subheading[!summary 87-01-16]

The example given in the response is syntactically incorrect unless
@dq{@key[package] P} is replaced either with @dq{@key[procedure] P} or with
@dq{@key[package] P @key[is] @key[end]}.

@subheading[!question 87-01-16]

The response section contains the following example, which is asserted to be
legal:
@begin(example)
@key[generic]
     @key[pragma] PAGE;
     X : INTEGER;
     @key[pragma] PAGE;
@key[package] P;
@end(example)
Isn't the example illegal because @dq{@key[is] @key[end]} is required after
@dq{@key[package] P}?

@subheading[!recommendation 87-01-13]

Rewrite the example in the response section as follows:
@begin(example)
@key[generic]
     @key[pragma] PAGE;
     X : INTEGER;
     @key[pragma] PAGE;
@key[procedure] P;
@end(example)
@subheading[!discussion 87-03-17]

To make the example syntactically legal, @dq{@key[package]} should be replaced
with @dq{@key[procedure]}.

